=== Examples/CMakeLists.txt ===
ADD_SUBDIRECTORY( ExternalCode )
ADD_SUBDIRECTORY( Filters )
ADD_SUBDIRECTORY( IO )
ADD_SUBDIRECTORY( GUI )
