=== Plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( ImageMedianPlugin )
