=== Testing/CMakeLists.txt ===
ADD_SUBDIRECTORY( Sikuli )
