=== Code/GUI/CMakeLists.txt ===
ADD_SUBDIRECTORY( lib )
