=== debian/changelog ===
gofigure2 (0.9.0-3) unstable; urgency=low

  * Set CMAKE_BUILD_TYPE to None
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 13 Dec 2013 09:13:41 +0100

gofigure2 (0.9.0-2) unstable; urgency=low

  * Remove explicit B-D to libgdcm since not needed anymore
  * Remove DMUA flag, use my @d.o alias
  * Bump Std-Vers to 3.9.4, no changes needed
  * Fix building against newer VTK:
    - debian/patches/missingx11link.patch
  * Use hardening flags thanks to dh/9
  * Fix lintian about d/copyright empty lines
  * Add a gofigure2-doc package for documentation

 -- Mathieu Malaterre <malat@debian.org>  Fri, 24 May 2013 16:31:50 +0200

gofigure2 (0.9.0-1) unstable; urgency=low

  * New upstream
   - Many actions are parallelized with Open MP

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 11 Dec 2011 16:38:51 +0100
