=== debian/control ===
Source: gofigure2
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.2), libboost-all-dev, libqt4-dev,
  libinsighttoolkit3-dev (>= 3.20), libvtk5-qt4-dev (>= 5.6), libfftw3-dev,
  libqtwebkit-dev | libqt4-dev (<< 4.7)
Build-Depends-Indep: qt4-doc-html, doxygen (>= 1.7.4) , graphviz, vtk-doc
Standards-Version: 3.9.5
Homepage: http://gofigure2.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/gofigure2/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/gofigure2/trunk/

Package: gofigure2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mysql-server
Description: Tool for visualizing, processing and analysing of bioimages
 Main objectives of GoFigure2 are to provide
  * interaction/visualization/navigation into 4D multichannels bio-images;
  * save/retrieve information related to the imaging process, analysis results;
  * extracting objects from bio-images (e.g. nucleii, cell-membranes...);
  * tracking sub-cellular structure, cells;
  * detecting and tracking cell-division through time;
  * generating and visualizing cell-lineage. 

Package: libgofigure0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tool for visualizing, processing and analysing of bioimages
 Main objectives of GoFigure2 are to provide
  * interaction/visualization/navigation into 4D multichannels bio-images;
  * save/retrieve information related to the imaging process, analysis results;
  * extracting objects from bio-images (e.g. nucleii, cell-membranes...);
  * tracking sub-cellular structure, cells;
  * detecting and tracking cell-division through time;
  * generating and visualizing cell-lineage. 
 .
 The runtime libraries

Package: libgofigure-dev
Section: libdevel
Architecture: any
Depends: libgofigure0 (= ${binary:Version}), ${misc:Depends}
Description: Tool for visualizing, processing and analysing of bioimages
 Main objectives of GoFigure2 are to provide
  * interaction/visualization/navigation into 4D multichannels bio-images;
  * save/retrieve information related to the imaging process, analysis results;
  * extracting objects from bio-images (e.g. nucleii, cell-membranes...);
  * tracking sub-cellular structure, cells;
  * detecting and tracking cell-division through time;
  * generating and visualizing cell-lineage. 
 .
 The development libraries

Package: gofigure2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, vtk-doc, doc-base
Description: Tool for visualizing, processing and analysing of bioimages - doc
 Main objectives of GoFigure2 are to provide
  * interaction/visualization/navigation into 4D multichannels bio-images;
  * save/retrieve information related to the imaging process, analysis results;
  * extracting objects from bio-images (e.g. nucleii, cell-membranes...);
  * tracking sub-cellular structure, cells;
  * detecting and tracking cell-division through time;
  * generating and visualizing cell-lineage. 
 .
 This is the documentation for gofigure2
