=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC=OFF
else
  BUILDDOC=ON
endif

CMAKE_EXTRA_FLAGS = \
  -DCMAKE_INSTALL_PREFIX:PATH=/usr \
  -DCMAKE_BUILD_TYPE:STRING=None \
  -DCMAKE_SKIP_RPATH:BOOL=OFF \
  -DBUILD_SHARED_LIBS:BOOL=ON \
	-DGOFIGURE2_INSTALL_LIB_DIR:STRING=lib/$(DEB_HOST_MULTIARCH) \
	-DBUILD_TESTING:BOOL=ON \
	-DBUILD_DOCUMENTATION:BOOL=$(BUILDDOC) \
	-DBUILD_PLUGINS:BOOL=ON \
	-DENABLE_VIDEO_RECORD_FFMPEG:BOOL=ON \
	-DBUILD_COMPARETOOL:BOOL=ON \
	-DSUPERBUILD:BOOL=OFF \
	-DLINK_EXTERNAL_DOC:BOOL=ON \
	-DDOXYGEN_NIGHTLY_LINK:BOOL=OFF \
	-DQT_DOC_DIR=/usr/share/qt4/doc/

%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C build doc
	rm build/Documentation/html/jquery.js

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_install-arch:
	dh_install --list-missing

pkg_doc=gofigure2-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_doc) build/Documentation/html
	dh_installdocs

debian/gofigure.1: debian/gofigure.1.in
	help2man --include=debian/gofigure.1.in \
		--output=debian/gofigure.1 --no-info gofigure

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
UPSTREAM_SRC = GoFigure2-v$(VER_FULL).tar.gz
DEBIAN_SRC_DIR = GoFigure2-v$(VER_FULL)
DEBIAN_SRC_TAR = gofigure2_$(VER_FULL).orig.tar.gz

$(UPSTREAM_SRC):
	wget http://voxel.dl.sourceforge.net/sourceforge/gofigure2/$@

get-orig-source: $(UPSTREAM_SRC)
	#uscan --verbose --force-download --repack --rename
	tar xzf $(UPSTREAM_SRC)
	# save some disk space, removing test data:
	rm -rf $(DEBIAN_SRC_DIR)/Testing/Data
	rm -rf $(DEBIAN_SRC_DIR)/Testing/Sikuli
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
	rm -rf $(DEBIAN_SRC_DIR)
