=== debian/watch ===
version=3
http://sf.net/gofigure2/GoFigure2-v([\d\.]+)\.tar\.gz
